summaryrefslogtreecommitdiffstats
path: root/network/sqlmap
diff options
context:
space:
mode:
author Marco Bonetti2010-05-12 23:32:48 +0200
committer David Somero2010-05-12 23:32:48 +0200
commitac23f7579cef7d587954ae36544a421fcac769ba (patch)
treed1c73ae84554721d04498acc231226d91d20b42b /network/sqlmap
parentb43054d76b9780b938e074632d345661877e39e3 (diff)
downloadslackbuilds-ac23f7579cef7d587954ae36544a421fcac769ba.tar.gz
network/sqlmap: Added to 12.2 repository
Diffstat (limited to 'network/sqlmap')
-rw-r--r--network/sqlmap/README8
-rw-r--r--network/sqlmap/slack-desc19
-rw-r--r--network/sqlmap/sqlmap4
-rw-r--r--network/sqlmap/sqlmap.SlackBuild65
-rw-r--r--network/sqlmap/sqlmap.info8
5 files changed, 104 insertions, 0 deletions
diff --git a/network/sqlmap/README b/network/sqlmap/README
new file mode 100644
index 0000000000..fa2b395a1a
--- /dev/null
+++ b/network/sqlmap/README
@@ -0,0 +1,8 @@
+sqlmap is an open source command-line automatic SQL injection tool developed
+in Python. Its goal is to detect and take advantage of SQL injection
+vulnerabilities on web applications. Once it detects one or more SQL
+injections on the target host, the user can choose among a variety of options
+to perform an extensive back-end database management system fingerprint,
+retrieve DBMS session user and database, enumerate users, password hashes,
+privileges, databases, dump entire or user's specific DBMS tables/columns, run
+his own SQL statement, read specific files on the file system and more.
diff --git a/network/sqlmap/slack-desc b/network/sqlmap/slack-desc
new file mode 100644
index 0000000000..d416a348fb
--- /dev/null
+++ b/network/sqlmap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sqlmap: sqlmap (SQL injection mapper)
+sqlmap:
+sqlmap: sqlmap is an open source command-line automatic SQL injection tool
+sqlmap: developed in Python. Its goal is to detect and take advantage of SQL
+sqlmap: injection vulnerabilities on web applications.
+sqlmap:
+sqlmap:
+sqlmap:
+sqlmap:
+sqlmap:
+sqlmap:
diff --git a/network/sqlmap/sqlmap b/network/sqlmap/sqlmap
new file mode 100644
index 0000000000..c8753410a1
--- /dev/null
+++ b/network/sqlmap/sqlmap
@@ -0,0 +1,4 @@
+#!/bin/sh
+( cd /opt/sqlmap-0.6.4
+ ./sqlmap.py $@
+)
diff --git a/network/sqlmap/sqlmap.SlackBuild b/network/sqlmap/sqlmap.SlackBuild
new file mode 100644
index 0000000000..89ae77a337
--- /dev/null
+++ b/network/sqlmap/sqlmap.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for sqlmap.
+#
+# Copyright 2009-2010 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=sqlmap
+VERSION=${VERSION:-0.6.4}
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+# Install sqlmap in /opt
+mkdir -p $PKG/opt
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 -C $PKG/opt
+cd $PKG/opt/$PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Install an application launcher
+mkdir -p $PKG/usr/bin
+install -m 0755 $CWD/sqlmap $PKG/usr/bin/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/opt/sqlmap-$VERSION/doc/COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/opt/sqlmap-$VERSION/doc/README.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/sqlmap/sqlmap.info b/network/sqlmap/sqlmap.info
new file mode 100644
index 0000000000..7b3503d197
--- /dev/null
+++ b/network/sqlmap/sqlmap.info
@@ -0,0 +1,8 @@
+PRGNAM="sqlmap"
+VERSION="0.6.4"
+HOMEPAGE="http://sqlmap.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sqlmap/sqlmap-0.6.4.tar.bz2"
+MD5SUM="a530569ee6335e960914d9b1d6527477"
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"